> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a price schedules

> Create a price schedules

### Request body

`CreatePriceScheduleRequest`

<ParamField body="code" type="string,null" />

<ParamField body="ends_at" type="string,null">
  RFC3339 window end.
</ParamField>

<ParamField body="name" type="string" required />

<ParamField body="priority" type="integer (int32)" />

<ParamField body="starts_at" type="string,null">
  RFC3339 window start.
</ParamField>

### Responses

<ResponseField name="201" type="PriceScheduleResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/price-schedules' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "code": null,
    "ends_at": null,
    "name": "string",
    "priority": 1,
    "starts_at": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "code": null,
    "currency": "string",
    "ends_at": null,
    "id": "string",
    "is_active": true,
    "name": "string",
    "priority": 1,
    "starts_at": null
  }
  ```
</ResponseExample>
